Install Help

Joe Ferraro edited this page Jul 23, 2013 · 16 revisions

MavensMate for Sublime Text (2/3) 2.0+

Mac OS X

Install Steps

  1. Download and place MavensMate.app in /Applications
  2. Run MavensMate.app
  3. Go to "Plugins" menu item in MavensMate.app and install the Sublime Text 2 and/or Sublime Text 3 plugins
  4. In Sublime Text 2/3, open the MavensMate Menu > Settings > User and change: mm_workspace to an existing directory, like /Users/your_username/Documents/MavensMate

Windows

Install Steps

Linux

Install Steps

MavensMate for Sublime Text (2) 1.0+

Mac OS X

Ideal install process

  1. Install command line tools from here: https://github.com/kennethreitz/osx-gcc-installer
  2. Install rvm: $ \curl -L https://get.rvm.io | bash -s stable
  3. Install ruby 1.9.3 $ rvm install 1.9.3
  4. Install Mavensmate gem $ gem install mavensmate
  5. Install MavensMate Sublime Text package: $ ruby < <(curl -s https://raw.github.com/joeferraro/MavensMate-SublimeText/master/install.rb)
  6. In Sublime Text 2, open the MavensMate Menu > Settings > User and change the following settings:
    mm_ruby to ~/.rvm/bin/rvm-auto-ruby
    mm_workspace to an existing directory, like /Users/your_username/Documents/MavensMate

Notes

** If running OSX system ruby, you may get a permissions error when running gem install mavensmate. Try running sudo gem install mavensmate instead.

  • If you get compilation errors when running gem install mavensmate, you likely need to install Unix command line tools. I'd recommend installing from here: https://github.com/kennethreitz/osx-gcc-installer, however, you can also install them by opening XCode, going to Downloads, and installing the "Command Line Tools".